Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::UIntImm Struct Reference

Unsigned integer constants. More...

`#include <Expr.h>`

Inheritance diagram for Halide::Internal::UIntImm:

## Static Public Member Functions
static const UIntImm * | make (Type t, uint64_t value)

## Public Attributes
uint64_t | value
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::UIntImm

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< UIntImm >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Unsigned integer constants.

Definition at line 227 of file Expr.h.

## Member Function Documentation

## ◆ make()

static const UIntImm * Halide::Internal::UIntImm::make | ( | Type | t,
|  | uint64_t | value
| ) |  |
| static

Referenced by Halide::Internal::IRMatcher::make_const_expr().

## Member Data Documentation

## ◆ value

uint64_t Halide::Internal::UIntImm::value

Definition at line 228 of file Expr.h.

## ◆ _node_type

const IRNodeType Halide::Internal::UIntImm::_node_type = IRNodeType::UIntImm
| static

Definition at line 232 of file Expr.h.

The documentation for this struct was generated from the following file:

- src/Expr.h